Subject: [xmpp] Fwd: Re: [jdev] xsd's that don't validate

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 18 Jun 2012 14:52:27 -0600

FYI, this is a copy-and-paste error in RFC 6120. That is, the following
snippet of the jabber-server schema is extraneous:

<xs:element name='subject'>
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base='xs:NMTOKEN'>
          <xs:attribute name='parent'
                        type='xs:NMTOKEN'
                        use='optional'/>
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>

/psa

-------- Original Message --------
Subject: Re: [jdev] xsd's that don't validate
Date: Mon, 18 Jun 2012 14:51:11 -0600
From: Peter Saint-Andre <[email-masked]>
Reply-To: Jabber/XMPP software development list <[email-masked]>
To: Jabber/XMPP software development list <[email-masked]>

On 6/18/12 2:41 PM, Peter Saint-Andre wrote:
> On 6/18/12 2:13 PM, Ralph Carlson wrote:
>> I added a missing ' to streams.xsd , after that I got an error about
>> the two subject elements in jabber-server.xsd (below) sounds like it
>> might not be a quick fix for me, I can bypass using these for now
>>
>> SystemID: http://xmpp.org/schemas/jabber-server.xsd Location: 87:20 
>> Description: sch-props-correct.2: A schema cannot contain two global
>> components with the same name; this schema contains two occurrences
>> of 'jabber:server,subject'. URL:
>> http://www.w3.org/TR/xmlschema-1/#sch-props-correct
> 
> That appears to have been a copy-and-paste error in RFC 6121.

Actually, RFC 6120, not RFC 6121.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

_______________________________________________
JDev mailing list
Info: http://mail.jabber.org/mailman/listinfo/jdev
Unsubscribe: [email-masked]
_______________________________________________